Send verification code via email or SMS
curl --request POST \
--url https://api.lynkwell.com/identity/v1/send-verification-code \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"contact": "<string>",
"network": "<string>",
"locale": "<string>"
}
'import requests
url = "https://api.lynkwell.com/identity/v1/send-verification-code"
payload = {
"contact": "<string>",
"network": "<string>",
"locale": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({contact: '<string>', network: '<string>', locale: '<string>'})
};
fetch('https://api.lynkwell.com/identity/v1/send-verification-code', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "pending"
}{
"type": "BAD_REQUEST",
"code": "INVALID_REQUEST_PARAMETERS",
"message": "<string>"
}{
"type": "UNAUTHORIZED",
"code": "UNAUTHORIZED",
"message": "<string>"
}{
"message": "<string>"
}{
"type": "INTERNAL_ERROR",
"code": "INTERNAL_SERVER_ERROR",
"message": "<string>"
}Verification
Send verification code via email or SMS
This endpoint sends verification code
POST
/
identity
/
v1
/
send-verification-code
Send verification code via email or SMS
Authorizations
OAuth2 Client Credentials Flow
Body
application/json
Available options:
email, sms If "method" is email then specify and email address. If "method" is a phone then specify a format E.164 format. https://www.twilio.com/docs/glossary/what-e164
The BCP47 locale string to use when localizing the verification message content.
Response
OK
Available options:
pending, approved, canceled, maxRetriesReached